Below is the list of changes that have just been committed into a local
5.0 repository of msvensson. When msvensson does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet@stripped, 2007-03-16 11:52:30+01:00, msvensson@stripped +1 -0
Bug#27022 Install fails with Duplicate entry '%-test-' for key 'PRIMARY'
- Bail out with error if MySQL System tables already exist
scripts/mysql_install_db.sh@stripped, 2007-03-16 11:52:29+01:00, msvensson@stripped
+11 -17
Bail out with error if the MySQL system tables already exist
in the location where we want to install
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: msvensson
# Host: pilot.blaudden
# Root: /home/msvensson/mysql/bug27022/my50-bug27022
--- 1.71/scripts/mysql_install_db.sh 2007-02-28 14:26:57 +01:00
+++ 1.72/scripts/mysql_install_db.sh 2007-03-16 11:52:29 +01:00
@@ -135,6 +135,17 @@ else
fi
fi
+# Check that no previous MySQL installation exist
+if test -f "$ldata/mysql/db.frm"
+then
+ echo "FATAL ERROR: Found already existing MySQL system tables"
+ echo "in $ldata."
+ echo "If you are upgrading from a previous MySQL version you"
+ echo "should run '$bindir/mysql_upgrade', "
+ echo "to upgrade all tables for this version of MySQL"
+ exit 1;
+fi
+
# Find SQL scripts needed for bootstrap
fill_help_tables="fill_help_tables.sql"
create_system_tables="mysql_system_tables.sql"
@@ -181,7 +192,6 @@ then
fi
# Find executables and paths
-mdata=$ldata/mysql
mysqld=$execdir/mysqld
mysqld_opt=""
scriptdir=$bindir
@@ -264,12 +274,6 @@ if test -w / -a ! -z "$user"; then
chown $user $ldata $ldata/mysql $ldata/test;
fi
-# Check is "db" table already exist
-if test ! -f $mdata/db.frm
-then
- db_table_already_exist="yes"
-fi
-
if test -n "$user"; then
args="$args --user=$user"
fi
@@ -321,16 +325,6 @@ then
echo "$bindir/mysqladmin -u root password 'new-password'"
echo "$bindir/mysqladmin -u root -h $hostname password 'new-password'"
echo "See the manual for more instructions."
-
- # Print message about upgrading unless we have created a new db table.
- if test -z "$db_table_already_exist"
- then
- echo
- echo "NOTE: If you are upgrading from a previous MySQL verision you "
- echo "should run '$bindir/mysql_upgrade', to make sure all tables have "
- echo "been upgraded for this version of MySQL"
- fi
- echo
if test "$in_rpm" = "0"
then
| Thread |
|---|
| • bk commit into 5.0 tree (msvensson:1.2466) BUG#27022 | msvensson | 16 Mar |